tigase.jaxmpp.j2se.connectors.socket

## Interface Reader

- All Known Implementing Classes:
    TextStreamReader, WebSocketReader

      public interface Reader

  New Reader class replaces standard InputStreamReader as it cannot read from InflaterInputStream.
  Author:
    andrzej

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `read(char[] cbuf)`

- - ### Method Detail

    - #### read

          int read(char[] cbuf)
            throws IOException

      Throws:
        `IOException`

Copyright © 2006–2020 Tigase. All rights reserved.